Bug 138422 - Numerous Errors generated by up2date in Core 3
Numerous Errors generated by up2date in Core 3
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-08 22:05 EST by Jim Bradbury
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:07:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Bradbury 2004-11-08 22:05:30 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: run up2date from command line in Core 3 to see errors


Steps to Reproduce: run up2date from command line in Core 3 to see errors
1.
2.
3.
  
Actual results: Some of errors generated:

File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 315, in
getAvailableAllArchPackageLis
t
    package_list = availablePackageList(
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 153, in
availablePackageList
    progressCallback = progressCallback)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 310, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 20, in
listPackages
    return self.handlers[channel['type']].listPackages(channel,
msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 226, in
listPackages
    msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
201, in listPackages
    agent = "Up2date %s/Yum" % up2dateUtils.version())
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
324, in fetchUrl
    endRange=end)
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
117, in open_resource
    return opener.open(request)
  File "/usr/lib/python2.3/urllib2.py", line 326, in open
    '_open', req)
  File "/usr/lib/python2.3/urllib2.py", line 306, in _call_chain
    result = func(*args)
  File "/usr/lib/python2.3/urllib2.py", line 901, in http_open
    return self.do_open(httplib.HTTP, req)
  File "/usr/lib/python2.3/urllib2.py", line 895, in do_open
    return self.parent.error('http', req, fp, code, msg, hdrs)
  File "/usr/lib/python2.3/urllib2.py", line 346, in error
    result = self._call_chain(*args)
  File "/usr/lib/python2.3/urllib2.py", line 306, in _call_chain
    result = func(*args)
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
35, in http_error_302
    infourl.status = code
AttributeError: 'NoneType' object has no attribute 'status'
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1500, in
onSkippedPagePrepare
    self.__preparePackageList()
  File "/usr/share/rhn/up2date_client/gui.py", line 1386, in
__preparePackageList
    self.pList.run()
  File "/usr/share/rhn/up2date_client/packageList.py", line 122, in run
    self.progressCallback)
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 315, in
getAvailableAllArchPackageLis
t
    package_list = availablePackageList(
  File "/usr/share/rhn/up2date_client/rhnPackageInfo.py", line 153, in
availablePackageList
    progressCallback = progressCallback)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 310, in doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 20, in
listPackages
    return self.handlers[channel['type']].listPackages(channel,
msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 226, in
listPackages
    msgCallback, progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line
201, in listPackages
    agent = "Up2date %s/Yum" % up2dateUtils.version())
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
324, in fetchUrl
    endRange=end)
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
117, in open_resource
    return opener.open(request)
  File "/usr/lib/python2.3/urllib2.py", line 326, in open
    '_open', req)
  File "/usr/lib/python2.3/urllib2.py", line 306, in _call_chain
    result = func(*args)
  File "/usr/lib/python2.3/urllib2.py", line 901, in http_open
    return self.do_open(httplib.HTTP, req)
  File "/usr/lib/python2.3/urllib2.py", line 895, in do_open
    return self.parent.error('http', req, fp, code, msg, hdrs)
  File "/usr/lib/python2.3/urllib2.py", line 346, in error
    result = self._call_chain(*args)
  File "/usr/lib/python2.3/urllib2.py", line 306, in _call_chain
    result = func(*args)
  File "/usr/share/rhn/up2date_client/repoBackends/urlUtils.py", line
35, in http_error_302
    infourl.status = code
AttributeError: 'NoneType' object has no attribute 'status'


Expected results:


Additional info:
Comment 1 Jim Bradbury 2004-11-08 23:08:26 EST
Appears that up2date was compiled with trace turned on.
I finally got up2date to work but noticed 3 or 4 deprecation warnings
that need to be cleaned up.  These may be in python and not up2date.
Here's Log:
[root@techman ~]# up2date
/usr/share/rhn/up2date_client/checklist.py:21: DeprecationWarning: use
gtk.TreeView
  gtk.CList.__init__ (self, columns+1)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainloop is deprecated, u
se gtk.main instead
  self.warn(message, DeprecationWarning)
http://fedora.redhat.com/download/up2date-mirrors/fedora-core-3
using mirror: http://klid.dk/homeftp/fedora/linux/core/3/i386/os
http://fedora.redhat.com/download/up2date-mirrors/updates-released-fc3
using mirror:
http://mirror.switch.ch/ftp/mirror/fedora/linux/core/updates/3/i386
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.create_pixmap is deprecat
ed, use gtk.gdk.Pixmap instead
  self.warn(message, DeprecationWarning)
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainiteration is deprecat
ed, use gtk.main_iteration instead
  self.warn(message, DeprecationWarning)
/sbin/ldconfig: File /lib/libresmgr.so.0.9.8 is empty, not checked.
/sbin/ldconfig: File /lib/libresmgr.so.0.1 is empty, not checked.
/sbin/ldconfig: File /usr/lib/libresmgr.so is empty, not checked.
/sbin/ldconfig: File /lib/libresmgr.so.0.9.8 is empty, not checked.
/sbin/ldconfig: File /lib/libresmgr.so.0.1 is empty, not checked.
/sbin/ldconfig: File /usr/lib/libresmgr.so is empty, not checked.
/sbin/ldconfig: File /lib/libresmgr.so.0.9.8 is empty, not checked.
/sbin/ldconfig: File /lib/libresmgr.so.0.1 is empty, not checked.
/sbin/ldconfig: File /usr/lib/libresmgr.so is empty, not checked.
/sbin/ldconfig: File /lib/libresmgr.so.0.9.8 is empty, not checked.
/sbin/ldconfig: File /lib/libresmgr.so.0.1 is empty, not checked.
/sbin/ldconfig: File /usr/lib/libresmgr.so is empty, not checked.
/sbin/ldconfig: File /lib/libresmgr.so.0.9.8 is empty, not checked.
/sbin/ldconfig: File /lib/libresmgr.so.0.1 is empty, not checked.
/sbin/ldconfig: File /usr/lib/libresmgr.so is empty, not checked.
/sbin/ldconfig: File /lib/libresmgr.so.0.9.8 is empty, not checked.
/sbin/ldconfig: File /lib/libresmgr.so.0.1 is empty, not checked.
/sbin/ldconfig: File /usr/lib/libresmgr.so is empty, not checked.
/sbin/ldconfig: File /lib/libresmgr.so.0.9.8 is empty, not checked.
/sbin/ldconfig: File /lib/libresmgr.so.0.1 is empty, not checked.
/sbin/ldconfig: File /usr/lib/libresmgr.so is empty, not checked.
/sbin/ldconfig: File /lib/libresmgr.so.0.9.8 is empty, not checked.
/sbin/ldconfig: File /lib/libresmgr.so.0.1 is empty, not checked.
/sbin/ldconfig: File /usr/lib/libresmgr.so is empty, not checked.
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:90:
GtkDeprecationWarning: gtk.mainquit is deprecated, u
se gtk.main_quit instead
  self.warn(message, DeprecationWarning)
[root@techman ~]#
Comment 2 Matthew Miller 2006-07-10 17:19:18 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-29 10:07:01 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.